No streams found on this url #633

Closed
dannyellis-zz opened this Issue Dec 11, 2014 · 22 comments

Comments

Projects
None yet
@dannyellis-zz

Just started happening about 30 minutes ago. Definitely know there is a stream and have tried many different streams to test. Keep getting back in the json that there are no streams available. Don't think it has to do with the update that just went out though.

@ROMaster2

This comment has been minimized.

Show comment
Hide comment
@ROMaster2

ROMaster2 Dec 11, 2014

Came here make the same report. Here's an image, though I don't think it helps much: http://i.imgur.com/0fsw78K.png

Came here make the same report. Here's an image, though I don't think it helps much: http://i.imgur.com/0fsw78K.png

@jabol3k

This comment has been minimized.

Show comment
Hide comment
@jabol3k

jabol3k Dec 11, 2014

I can confirm this too. Can watch stream on twotch via browser, but livestreamer gives me
[cli][info] Found matching plugin twitch for URL www.twitch.tv/itmejp
error: No streams found on this URL: www.twitch.tv/itmejp

jabol3k commented Dec 11, 2014

I can confirm this too. Can watch stream on twotch via browser, but livestreamer gives me
[cli][info] Found matching plugin twitch for URL www.twitch.tv/itmejp
error: No streams found on this URL: www.twitch.tv/itmejp

@cihanoecal

This comment has been minimized.

Show comment
Hide comment
@cihanoecal

cihanoecal Dec 11, 2014

Have the same problem with all twitch.tv streams on Debian / raspberry pi. An hour ago everything worked fine.

Have the same problem with all twitch.tv streams on Debian / raspberry pi. An hour ago everything worked fine.

@fletom

This comment has been minimized.

Show comment
Hide comment
@fletom

fletom Dec 11, 2014

Wow, that was a fast fix. Three cheers for @chrippa!

Until this gets pushed to PyPI, anyone who needs to can install the patched version using the following command:

pip install git+https://github.com/chrippa/livestreamer.git

fletom commented Dec 11, 2014

Wow, that was a fast fix. Three cheers for @chrippa!

Until this gets pushed to PyPI, anyone who needs to can install the patched version using the following command:

pip install git+https://github.com/chrippa/livestreamer.git
@dCosminn

This comment has been minimized.

Show comment
Hide comment
@dCosminn

dCosminn Dec 12, 2014

A dirty fix for those on Windows:
Download the zip and unzip: https://github.com/chrippa/livestreamer
Copy the two folders from \livestreamer-develop\src and paste them where your livestream is installed, into livestreamer-1.11.0-py2.7.egg directory.

A dirty fix for those on Windows:
Download the zip and unzip: https://github.com/chrippa/livestreamer
Copy the two folders from \livestreamer-develop\src and paste them where your livestream is installed, into livestreamer-1.11.0-py2.7.egg directory.

@Lgnz

This comment has been minimized.

Show comment
Hide comment
@Lgnz

Lgnz Dec 12, 2014

Thanks :D

Lgnz commented Dec 12, 2014

Thanks :D

@ROMaster2

This comment has been minimized.

Show comment
Hide comment
@ROMaster2

ROMaster2 Dec 12, 2014

Yes thank you Chiosc

Yes thank you Chiosc

@MrPick1es

This comment has been minimized.

Show comment
Hide comment
@MrPick1es

MrPick1es Dec 12, 2014

Thanks Chiosc. Took me a couple minutes to spot the "Download Zip" button (on the right if you are blind like me,) but it worked just as you said once I found it.

Thanks Chiosc. Took me a couple minutes to spot the "Download Zip" button (on the right if you are blind like me,) but it worked just as you said once I found it.

@bastimeyer bastimeyer referenced this issue in streamlink/streamlink-twitch-gui Dec 12, 2014

Closed

Can't launch any stream #30

@srn

This comment has been minimized.

Show comment
Hide comment
@srn

srn Dec 12, 2014

If you already installed it via pip, append -U when installing latest from master. So something like pip install -U git+https://github.com/chrippa/livestreamer.git

srn commented Dec 12, 2014

If you already installed it via pip, append -U when installing latest from master. So something like pip install -U git+https://github.com/chrippa/livestreamer.git

@fletom

This comment has been minimized.

Show comment
Hide comment
@fletom

fletom Dec 12, 2014

@srn AFAIK that won't work since the version number hasn't been bumped since the patch, but running pip uninstall livestreamer first definitely will.

fletom commented Dec 12, 2014

@srn AFAIK that won't work since the version number hasn't been bumped since the patch, but running pip uninstall livestreamer first definitely will.

@srn

This comment has been minimized.

Show comment
Hide comment
@srn

srn Dec 12, 2014

@fletom -U will do that for you.

  Found existing installation: livestreamer 1.11.0
    Uninstalling livestreamer:
      Successfully uninstalled livestreamer
  Running setup.py install for livestreamer

srn commented Dec 12, 2014

@fletom -U will do that for you.

  Found existing installation: livestreamer 1.11.0
    Uninstalling livestreamer:
      Successfully uninstalled livestreamer
  Running setup.py install for livestreamer
@fletom

This comment has been minimized.

Show comment
Hide comment
@fletom

fletom Dec 12, 2014

@srn Only if it recognizes a difference between the installed version number and the version number on master. On my machine at least -U just gave me "requirement already satisfied".

fletom commented Dec 12, 2014

@srn Only if it recognizes a difference between the installed version number and the version number on master. On my machine at least -U just gave me "requirement already satisfied".

@srn

This comment has been minimized.

Show comment
Hide comment
@srn

srn Dec 12, 2014

@fletom According to docs it should work https://pip.pypa.io/en/latest/reference/pip_install.html#cmdoption-U. It worked for me at least.

srn commented Dec 12, 2014

@fletom According to docs it should work https://pip.pypa.io/en/latest/reference/pip_install.html#cmdoption-U. It worked for me at least.

felixonmars-bot pushed a commit to felixonmars/archlinux-community that referenced this issue Dec 12, 2014

foutrelis
upgpkg: livestreamer 1.11.0-1
- New upstream release.
- Apply upstream patch for twitch.tv API change:
  chrippa/livestreamer#633


git-svn-id: file:///srv/repos/svn-community/svn@123798 9fca08f4-af9d-4005-b8df-a31f2cc04f65
@wMw9

This comment has been minimized.

Show comment
Hide comment

wMw9 commented Dec 12, 2014

Same

@dimitarvp

This comment has been minimized.

Show comment
Hide comment
@dimitarvp

dimitarvp Dec 12, 2014

Thank you @chrippa for the quick fix. And thank you @Chiosc for the Windows instructions.

Thank you @chrippa for the quick fix. And thank you @Chiosc for the Windows instructions.

@Tapaburakus

This comment has been minimized.

Show comment
Hide comment
@Tapaburakus

Tapaburakus Dec 12, 2014

Thanks @Chiosc and @chrippa

Thanks @Chiosc and @chrippa

@borabosna

This comment has been minimized.

Show comment
Hide comment
@borabosna

borabosna Dec 12, 2014

It worked, thanks Chiosc

It worked, thanks Chiosc

@chrippa

This comment has been minimized.

Show comment
Hide comment
@chrippa

chrippa Dec 12, 2014

Owner

I've pushed a v1.11.1 release. For future reference, you can always find links and instructions on how to install the development build on the Livestreamer webpage.

Owner

chrippa commented Dec 12, 2014

I've pushed a v1.11.1 release. For future reference, you can always find links and instructions on how to install the development build on the Livestreamer webpage.

@dCosminn

This comment has been minimized.

Show comment
Hide comment
@dCosminn

dCosminn Dec 12, 2014

Awesome!
Thanks for developing and supporting such a useful software! 👍

Awesome!
Thanks for developing and supporting such a useful software! 👍

@caporal

This comment has been minimized.

Show comment
Hide comment
@caporal

caporal Dec 12, 2014

hi
please excuse my idiocy but idon't know how to fix this issue,
can somebody help me to fix it step by step please ?

caporal commented Dec 12, 2014

hi
please excuse my idiocy but idon't know how to fix this issue,
can somebody help me to fix it step by step please ?

@dannyellis-zz

This comment has been minimized.

Show comment
Hide comment
@dannyellis-zz

dannyellis-zz Dec 12, 2014

It has been pushed to the pip repo, just do a pip install livestreamer
--upgrade

On Fri Dec 12 2014 at 1:43:23 PM caporal notifications@github.com wrote:

hi
please excuse my idiocy but idon't know how to fix this issue,
can somebody help me to fix it step by step please ?


Reply to this email directly or view it on GitHub
#633 (comment)
.

It has been pushed to the pip repo, just do a pip install livestreamer
--upgrade

On Fri Dec 12 2014 at 1:43:23 PM caporal notifications@github.com wrote:

hi
please excuse my idiocy but idon't know how to fix this issue,
can somebody help me to fix it step by step please ?


Reply to this email directly or view it on GitHub
#633 (comment)
.

@DeafSmartGamers

This comment has been minimized.

Show comment
Hide comment
@DeafSmartGamers

DeafSmartGamers Jun 24, 2015

Hello Guys! I got error no streams found on this URL: twitch.tv/---------from cmd.exe when i tired to fixed it VLC media Player over livestreamer.exe then I use CMD.exe it say " error no streams found on this URL: " any know how to fix stop error ? Let me know.. Help me Many thanks

Hello Guys! I got error no streams found on this URL: twitch.tv/---------from cmd.exe when i tired to fixed it VLC media Player over livestreamer.exe then I use CMD.exe it say " error no streams found on this URL: " any know how to fix stop error ? Let me know.. Help me Many thanks

newkozlukov pushed a commit to newkozlukov/arch-community-packages that referenced this issue Sep 4, 2016

foutrelis svntogit
upgpkg: livestreamer 1.11.0-1
- New upstream release.
- Apply upstream patch for twitch.tv API change:
  chrippa/livestreamer#633

git-svn-id: file:///srv/repos/svn-community/svn@123798 9fca08f4-af9d-4005-b8df-a31f2cc04f65
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment